# MFaceBoxProp Struct Reference
[Face]

Type of box spec of face. More...

## Data Fields

unsigned | width
MSymbol | color_top
MSymbol | color_bottom
MSymbol | color_left
MSymbol | color_right
unsigned | inner_hmargin
unsigned | inner_vmargin
unsigned | outer_hmargin
unsigned | outer_vmargin

## Detailed Description

Type of box spec of face.

The type MFaceBoxProp is to specify the detail of Mbox property of a face. The value of the property must be a pointer to an object of this type.

## Field Documentation

unsigned MFaceBoxProp::width

Width of the box line in pixels.

MSymbol MFaceBoxProp::color_top

Colors of borders.

MSymbol MFaceBoxProp::color_bottom

MSymbol MFaceBoxProp::color_left

MSymbol MFaceBoxProp::color_right

unsigned MFaceBoxProp::inner_hmargin

Margins

unsigned MFaceBoxProp::inner_vmargin

unsigned MFaceBoxProp::outer_hmargin

unsigned MFaceBoxProp::outer_vmargin